Bug 875775 - 3.2.0 - [Storage] Unable to extend storage domain if PV is in use.
3.2.0 - [Storage] Unable to extend storage domain if PV is in use.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: 3.2.0
Assigned To: Daniel Erez
Elad
storage
: ZStream
Depends On:
Blocks: 888407 915537
  Show dependency treegraph
 
Reported: 2012-11-12 09:58 EST by Leonid Natapov
Modified: 2016-02-10 11:36 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-2.0
Doc Type: Bug Fix
Doc Text:
Previously, the --force option was not turned on in the vgextend command if the physical volume was in use. This meant that it was impossible to extend a storage domain if its associated physical volume was in use. The --force option has now been turned on in the vgextend command, even when the physical volume is in use. It is now possible to extend a storage domain when its associated physical volume is in use.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:34:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (1.12 MB, application/octet-stream)
2012-11-12 09:58 EST, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-11-12 09:58:03 EST
Created attachment 643564 [details]
vdsm log

[Storage] Unable to extend storage domain if PV is in use.

When trying to extend storage domain,user gets the following warning (in UI) IF the PV is in use:
----
The following LUNs are already in use: - 3514f0c561000000e (Used by VG: qydKsX-BJ0t-OaiA-PmEa-kqDB-1Xln-pSeKPN)

Approve operation ?
----

After user approves the operation the extend fails because we don't use FORCE option in vgextend command if the PV is in use. Force option must be used in this case.


Thread-52749::DEBUG::2012-11-12 16:42:21,580::__init__::1164::Storage.Misc.excCmd::(_log) FAILED: <err> = '  Can\'t initialize physica
l volume "/dev/mapper/3514f0c561000000d" of volume group "61677e82-0f8d-4245-a6bd-a1254fb945b5" without -ff\n

full vdsm log attached.
Comment 2 Daniel Erez 2012-11-17 05:27:06 EST
http://gerrit.ovirt.org/#/c/9192/
Change-Id: I33ad4ee65d7303705d2cc8370502553125000ca0
Comment 3 Allon Mureinik 2012-12-12 05:31:03 EST
both patches are merged upstream.
Comment 4 Daniel Erez 2012-12-17 14:11:53 EST
Merged:
Change-Id: I33ad4ee65d7303705d2cc8370502553125000ca0
Comment 7 vvyazmin@redhat.com 2012-12-30 04:03:49 EST
Failed on RHEVM 3.2 - SF02 environment 

RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64


Impossible select disk in "Used" state in UI, follows from this, unable to extend storage domain if PV is in use.
Comment 8 vvyazmin@redhat.com 2012-12-30 05:16:48 EST
Verified on RHEVM 3.2 - SF02 environment 

RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 12 errata-xmlrpc 2013-06-10 16:34:41 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0886.html

Note You need to log in before you can comment on or make changes to this bug.